%define name tfm-fingerprint
%define version 1.0 
%define release %mkrel 1

Summary: Driver for Thinkpad's fingerprint reader 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.upek.com/support/download/TFMESS_BSP_LIN_1.0.zip
License: Proprietary
Group: System/Libraries
Url: http://www.upek.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: chrpath
Requires: bioapi, pam-bioapi

%description
Driver for Thinkpad's fingerprint reader

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}
unzip -qq %SOURCE0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/bioapi/pam/{5550454b-2054-464d-2f45-535320425350}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/libtfmessbsp.so $RPM_BUILD_ROOT/%{_libdir}

cd $RPM_BUILD_ROOT/%{_libdir}
#Removing the hardcoded path in the library
chrpath -d libtfmessbsp.so

cat > $RPM_BUILD_DIR/%{name}-%{version}/README.urpmi << EOF
Pam authentifcation module is now configured to use the tfm fingerprint reader.
Please use QSample to generate a fingerprint image and save it in
/etc/bioapi/pam/{5550454b-2054-464d-2f45-535320425350}/<login_name>.bir

Console login will ask you to enroll you finger to do the authentification.
Note than kdm login will not ask you to enroll your finger on the reader but
it works ;)
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/mod_install -fi %{_libdir}/libtfmessbsp.so
#Installing bioapi as primary auth system
#If its fails, we fallback to usual passorwd
perl -pi -e 's|(auth.*required.*pam_env.so)|$1\nauth        sufficient    pam_bioapi.so {5550454b-2054-464d-2f45-535320425350} /etc/bioapi/pam/|g' /etc/pam.d/system-auth

%postun -p /sbin/ldconfig

%preun
#Removing bioapi as primary auth system
perl -pi -e 's|auth.*sufficient.*pam_bioapi.so.*{5550454b-2054-464d-2f45-535320425350}.*/etc/bioapi/pam/\n||g' /etc/pam.d/system-auth

%files
%defattr(-,root,root)
%doc %{name}-%{version}/BioAPI_QuickGuide.pdf %{name}-%{version}/License.pdf %{name}-%{version}/pam.pdf %{name}-%{version}/TFMESS_BSP_LIN.pdf
%doc %{name}-%{version}/REDISTRIBUTABLES.TXT %{name}-%{version}/README.urpmi
%{_libdir}/libtfmessbsp.so
%{_sysconfdir}/bioapi/pam/{5550454b-2054-464d-2f45-535320425350}/

%changelog
* Wed Aug 2 2006 Erwan Velu <erwan@mandriva.org> 1.0-1
- Initial release
